Revert "New autotools version"
[scilab.git] / scilab / modules / graphic_export / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) INRIA   - 2008 - Sylvestre Ledru
20 # Copyright (C) DIGITEO - 2009 - Pierre MARECHAL
21 #
22 # This file must be used under the terms of the CeCILL.
23 # This source file is licensed as described in the file COPYING, which
24 # you should have received as part of this distribution.  The terms
25 # are also available at
26 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
27 #
28
29 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
30 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
31 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
32 #
33 # This file must be used under the terms of the CeCILL.
34 # This source file is licensed as described in the file COPYING, which
35 # you should have received as part of this distribution.  The terms
36 # are also available at
37 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
38 #
39
40 ##########
41 ### Makefile included stuff
42 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
43 ##########
44
45
46 VPATH = @srcdir@
47 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
48 am__make_running_with_option = \
49   case $${target_option-} in \
50       ?) ;; \
51       *) echo "am__make_running_with_option: internal error: invalid" \
52               "target option '$${target_option-}' specified" >&2; \
53          exit 1;; \
54   esac; \
55   has_opt=no; \
56   sane_makeflags=$$MAKEFLAGS; \
57   if $(am__is_gnu_make); then \
58     sane_makeflags=$$MFLAGS; \
59   else \
60     case $$MAKEFLAGS in \
61       *\\[\ \   ]*) \
62         bs=\\; \
63         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
64           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
65     esac; \
66   fi; \
67   skip_next=no; \
68   strip_trailopt () \
69   { \
70     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
71   }; \
72   for flg in $$sane_makeflags; do \
73     test $$skip_next = yes && { skip_next=no; continue; }; \
74     case $$flg in \
75       *=*|--*) continue;; \
76         -*I) strip_trailopt 'I'; skip_next=yes;; \
77       -*I?*) strip_trailopt 'I';; \
78         -*O) strip_trailopt 'O'; skip_next=yes;; \
79       -*O?*) strip_trailopt 'O';; \
80         -*l) strip_trailopt 'l'; skip_next=yes;; \
81       -*l?*) strip_trailopt 'l';; \
82       -[dEDm]) skip_next=yes;; \
83       -[JT]) skip_next=yes;; \
84     esac; \
85     case $$flg in \
86       *$$target_option*) has_opt=yes; break;; \
87     esac; \
88   done; \
89   test $$has_opt = yes
90 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
91 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
92 pkgdatadir = $(datadir)/@PACKAGE@
93 pkgincludedir = $(includedir)/@PACKAGE@
94 pkglibdir = $(libdir)/@PACKAGE@
95 pkglibexecdir = $(libexecdir)/@PACKAGE@
96 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
97 install_sh_DATA = $(install_sh) -c -m 644
98 install_sh_PROGRAM = $(install_sh) -c
99 install_sh_SCRIPT = $(install_sh) -c
100 INSTALL_HEADER = $(INSTALL_DATA)
101 transform = $(program_transform_name)
102 NORMAL_INSTALL = :
103 PRE_INSTALL = :
104 POST_INSTALL = :
105 NORMAL_UNINSTALL = :
106 PRE_UNINSTALL = :
107 POST_UNINSTALL = :
108 build_triplet = @build@
109 host_triplet = @host@
110 @GIWS_TRUE@am__append_1 = giws
111 @GUI_TRUE@am__append_2 = libscigraphic_export.la
112 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
113         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
114         $(top_srcdir)/config/depcomp
115 @NEED_JAVA_TRUE@am__append_3 = java
116 subdir = modules/graphic_export
117 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
118 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
119         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
120         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
121         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
122         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
123         $(top_srcdir)/m4/intel_compiler.m4 \
124         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
125         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
126         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
127         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
128         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
129         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
130         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
131         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
132         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
133         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
134         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
135 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
136         $(ACLOCAL_M4)
137 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
138 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
139 CONFIG_CLEAN_FILES =
140 CONFIG_CLEAN_VPATH_FILES =
141 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
142 am__vpath_adj = case $$p in \
143     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
144     *) f=$$p;; \
145   esac;
146 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
147 am__install_max = 40
148 am__nobase_strip_setup = \
149   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
150 am__nobase_strip = \
151   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
152 am__nobase_list = $(am__nobase_strip_setup); \
153   for p in $$list; do echo "$$p $$p"; done | \
154   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
155   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
156     if (++n[$$2] == $(am__install_max)) \
157       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
158     END { for (dir in files) print dir, files[dir] }'
159 am__base_list = \
160   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
161   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
162 am__uninstall_files_from_dir = { \
163   test -z "$$files" \
164     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
165     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
166          $(am__cd) "$$dir" && rm -f $$files; }; \
167   }
168 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
169         "$(DESTDIR)$(libscigraphic_export_la_etcdir)" \
170         "$(DESTDIR)$(libscigraphic_export_la_rootdir)" \
171         "$(DESTDIR)$(libscigraphic_export_la_sci_gatewaydir)"
172 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
173 libscigraphic_export_algo_la_LIBADD =
174 am__objects_1 = libscigraphic_export_algo_la-exportToFile.lo \
175         libscigraphic_export_algo_la-FileExporter.lo \
176         libscigraphic_export_algo_la-Driver.lo \
177         libscigraphic_export_algo_la-JOGLConstant.lo
178 am_libscigraphic_export_algo_la_OBJECTS = $(am__objects_1)
179 libscigraphic_export_algo_la_OBJECTS =  \
180         $(am_libscigraphic_export_algo_la_OBJECTS)
181 AM_V_lt = $(am__v_lt_@AM_V@)
182 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
183 am__v_lt_0 = --silent
184 am__v_lt_1 = 
185 @GUI_TRUE@am_libscigraphic_export_algo_la_rpath =
186 libscigraphic_export_disable_la_LIBADD =
187 am_libscigraphic_export_disable_la_OBJECTS =  \
188         libscigraphic_export_disable_la-nographic_export.lo
189 libscigraphic_export_disable_la_OBJECTS =  \
190         $(am_libscigraphic_export_disable_la_OBJECTS)
191 libscigraphic_export_la_DEPENDENCIES = libscigraphic_export-algo.la
192 am__objects_2 = libscigraphic_export_la-gw_graphic_export.lo \
193         libscigraphic_export_la-xs2file.lo \
194         libscigraphic_export_la-sci_xs2bmp.lo \
195         libscigraphic_export_la-sci_xs2gif.lo \
196         libscigraphic_export_la-sci_xs2ppm.lo \
197         libscigraphic_export_la-sci_xs2ps.lo \
198         libscigraphic_export_la-sci_xs2svg.lo \
199         libscigraphic_export_la-sci_xs2jpg.lo \
200         libscigraphic_export_la-sci_xs2eps.lo \
201         libscigraphic_export_la-sci_xs2pdf.lo \
202         libscigraphic_export_la-sci_xs2png.lo
203 am__objects_3 = libscigraphic_export_la-sci_driver.lo \
204         libscigraphic_export_la-sci_xinit.lo \
205         libscigraphic_export_la-sci_xend.lo
206 am_libscigraphic_export_la_OBJECTS = $(am__objects_2) $(am__objects_3)
207 libscigraphic_export_la_OBJECTS =  \
208         $(am_libscigraphic_export_la_OBJECTS)
209 @GUI_TRUE@am_libscigraphic_export_la_rpath = -rpath $(pkglibdir)
210 AM_V_P = $(am__v_P_@AM_V@)
211 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
212 am__v_P_0 = false
213 am__v_P_1 = :
214 AM_V_GEN = $(am__v_GEN_@AM_V@)
215 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
216 am__v_GEN_0 = @echo "  GEN     " $@;
217 am__v_GEN_1 = 
218 AM_V_at = $(am__v_at_@AM_V@)
219 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
220 am__v_at_0 = @
221 am__v_at_1 = 
222 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
223 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
224 am__depfiles_maybe = depfiles
225 am__mv = mv -f
226 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
227         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
228 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
229         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
230         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
231         $(AM_CFLAGS) $(CFLAGS)
232 AM_V_CC = $(am__v_CC_@AM_V@)
233 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
234 am__v_CC_0 = @echo "  CC      " $@;
235 am__v_CC_1 = 
236 CCLD = $(CC)
237 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
238         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
239         $(AM_LDFLAGS) $(LDFLAGS) -o $@
240 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
241 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
242 am__v_CCLD_0 = @echo "  CCLD    " $@;
243 am__v_CCLD_1 = 
244 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
245         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
246 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
247         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
248         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
249         $(AM_CXXFLAGS) $(CXXFLAGS)
250 AM_V_CXX = $(am__v_CXX_@AM_V@)
251 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
252 am__v_CXX_0 = @echo "  CXX     " $@;
253 am__v_CXX_1 = 
254 CXXLD = $(CXX)
255 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
256         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
257         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
258 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
259 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
260 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
261 am__v_CXXLD_1 = 
262 SOURCES = $(libscigraphic_export_algo_la_SOURCES) \
263         $(libscigraphic_export_disable_la_SOURCES) \
264         $(libscigraphic_export_la_SOURCES)
265 DIST_SOURCES = $(libscigraphic_export_algo_la_SOURCES) \
266         $(libscigraphic_export_disable_la_SOURCES) \
267         $(libscigraphic_export_la_SOURCES)
268 am__can_run_installinfo = \
269   case $$AM_UPDATE_INFO_DIR in \
270     n|no|NO) false;; \
271     *) (install-info --version) >/dev/null 2>&1;; \
272   esac
273 DATA = $(libscigraphic_export_la_etc_DATA) \
274         $(libscigraphic_export_la_root_DATA) \
275         $(libscigraphic_export_la_sci_gateway_DATA)
276 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
277 # Read a list of newline-separated strings from the standard input,
278 # and print each of them once, without duplicates.  Input order is
279 # *not* preserved.
280 am__uniquify_input = $(AWK) '\
281   BEGIN { nonempty = 0; } \
282   { items[$$0] = 1; nonempty = 1; } \
283   END { if (nonempty) { for (i in items) print i; }; } \
284 '
285 # Make sure the list of sources is unique.  This is necessary because,
286 # e.g., the same source file might be shared among _SOURCES variables
287 # for different programs/libraries.
288 am__define_uniq_tagged_files = \
289   list='$(am__tagged_files)'; \
290   unique=`for i in $$list; do \
291     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
292   done | $(am__uniquify_input)`
293 ETAGS = etags
294 CTAGS = ctags
295 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
296 ACLOCAL = @ACLOCAL@
297 ALL_LINGUAS = @ALL_LINGUAS@
298 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
299 AMTAR = @AMTAR@
300 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
301 ANT = @ANT@
302 ANTLR = @ANTLR@
303 AR = @AR@
304 ARPACK_LIBS = @ARPACK_LIBS@
305 ASM3 = @ASM3@
306 AUTOCONF = @AUTOCONF@
307 AUTOHEADER = @AUTOHEADER@
308 AUTOMAKE = @AUTOMAKE@
309 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
310 AWK = @AWK@
311 BATIK = @BATIK@
312 BLAS_LIBS = @BLAS_LIBS@
313 CC = @CC@
314 CCACHE = @CCACHE@
315 CCDEPMODE = @CCDEPMODE@
316 CFLAGS = @CFLAGS@
317 CHECKSTYLE = @CHECKSTYLE@
318 COBERTURA = @COBERTURA@
319 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
320 COMMONS_IO = @COMMONS_IO@
321 COMMONS_LOGGING = @COMMONS_LOGGING@
322 CPP = @CPP@
323 CPPFLAGS = @CPPFLAGS@
324 CURL_CFLAGS = @CURL_CFLAGS@
325 CURL_CONFIG = @CURL_CONFIG@
326 CURL_LIBS = @CURL_LIBS@
327 CURL_VERSION = @CURL_VERSION@
328 CXX = @CXX@
329 CXXCPP = @CXXCPP@
330 CXXDEPMODE = @CXXDEPMODE@
331 CXXFLAGS = @CXXFLAGS@
332 CYGPATH_W = @CYGPATH_W@
333 DEFS = @DEFS@
334 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
335 DEPDIR = @DEPDIR@
336 DOCBOOK_ROOT = @DOCBOOK_ROOT@
337 DOXYGEN_BIN = @DOXYGEN_BIN@
338 DSYMUTIL = @DSYMUTIL@
339 DUMPBIN = @DUMPBIN@
340 ECHO_C = @ECHO_C@
341 ECHO_N = @ECHO_N@
342 ECHO_T = @ECHO_T@
343 EGREP = @EGREP@
344 EXEEXT = @EXEEXT@
345 F77 = @F77@
346 FFLAGS = @FFLAGS@
347 FFTW3_LIB = @FFTW3_LIB@
348 FFTW_ENABLE = @FFTW_ENABLE@
349 FGREP = @FGREP@
350 FLEXDOCK = @FLEXDOCK@
351 FLIBS = @FLIBS@
352 FOP = @FOP@
353 GENHTML = @GENHTML@
354 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
355 GIWS_BIN = @GIWS_BIN@
356 GLUEGEN2_RT = @GLUEGEN2_RT@
357 GMSGFMT = @GMSGFMT@
358 GMSGFMT_015 = @GMSGFMT_015@
359 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
360 GREP = @GREP@
361 GUI_ENABLE = @GUI_ENABLE@
362 HDF5_CFLAGS = @HDF5_CFLAGS@
363 HDF5_LIBS = @HDF5_LIBS@
364 HELP_ENABLE = @HELP_ENABLE@
365 INSTALL = @INSTALL@
366 INSTALL_DATA = @INSTALL_DATA@
367 INSTALL_PROGRAM = @INSTALL_PROGRAM@
368 INSTALL_SCRIPT = @INSTALL_SCRIPT@
369 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
370 INTLLIBS = @INTLLIBS@
371 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
372 JAR = @JAR@
373 JAVA = @JAVA@
374 JAVAC = @JAVAC@
375 JAVAC_DEBUG = @JAVAC_DEBUG@
376 JAVADOC = @JAVADOC@
377 JAVAH = @JAVAH@
378 JAVASCI_ENABLE = @JAVASCI_ENABLE@
379 JAVA_ENABLE = @JAVA_ENABLE@
380 JAVA_G = @JAVA_G@
381 JAVA_HOME = @JAVA_HOME@
382 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
383 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
384 JDB = @JDB@
385 JEUCLID_CORE = @JEUCLID_CORE@
386 JGRAPHX = @JGRAPHX@
387 JHALL = @JHALL@
388 JLATEXMATH = @JLATEXMATH@
389 JLATEXMATH_FOP = @JLATEXMATH_FOP@
390 JOGL2 = @JOGL2@
391 JROSETTA_API = @JROSETTA_API@
392 JROSETTA_ENGINE = @JROSETTA_ENGINE@
393 JUNIT4 = @JUNIT4@
394 LAPACK_LIBS = @LAPACK_LIBS@
395 LCOV = @LCOV@
396 LD = @LD@
397 LDFLAGS = @LDFLAGS@
398 LIBICONV = @LIBICONV@
399 LIBINTL = @LIBINTL@
400 LIBM = @LIBM@
401 LIBOBJS = @LIBOBJS@
402 LIBS = @LIBS@
403 LIBTOOL = @LIBTOOL@
404 LIPO = @LIPO@
405 LN_S = @LN_S@
406 LOGGING_LEVEL = @LOGGING_LEVEL@
407 LOOKS = @LOOKS@
408 LTLIBICONV = @LTLIBICONV@
409 LTLIBINTL = @LTLIBINTL@
410 LTLIBOBJS = @LTLIBOBJS@
411 MAINT = @MAINT@
412 MAKEINFO = @MAKEINFO@
413 MATIO_CFLAGS = @MATIO_CFLAGS@
414 MATIO_ENABLE = @MATIO_ENABLE@
415 MATIO_LIBS = @MATIO_LIBS@
416 MKDIR_P = @MKDIR_P@
417 MPI_ENABLE = @MPI_ENABLE@
418 MSGCAT = @MSGCAT@
419 MSGFMT = @MSGFMT@
420 MSGFMT_015 = @MSGFMT_015@
421 MSGMERGE = @MSGMERGE@
422 NM = @NM@
423 NMEDIT = @NMEDIT@
424 OBJDUMP = @OBJDUMP@
425 OBJEXT = @OBJEXT@
426 OCAMLC = @OCAMLC@
427 OCAMLDEP = @OCAMLDEP@
428 OCAMLLEX = @OCAMLLEX@
429 OCAMLOPT = @OCAMLOPT@
430 OCAMLYACC = @OCAMLYACC@
431 OPENMPI_CC = @OPENMPI_CC@
432 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
433 OPENMPI_CXX = @OPENMPI_CXX@
434 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
435 OPENMPI_LIBS = @OPENMPI_LIBS@
436 OPENMP_CFLAGS = @OPENMP_CFLAGS@
437 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
438 OPENMP_ENABLE = @OPENMP_ENABLE@
439 OPENMP_LIBS = @OPENMP_LIBS@
440 OTOOL = @OTOOL@
441 OTOOL64 = @OTOOL64@
442 PACKAGE = @PACKAGE@
443 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
444 PACKAGE_NAME = @PACKAGE_NAME@
445 PACKAGE_STRING = @PACKAGE_STRING@
446 PACKAGE_TARNAME = @PACKAGE_TARNAME@
447 PACKAGE_URL = @PACKAGE_URL@
448 PACKAGE_VERSION = @PACKAGE_VERSION@
449 PATH_SEPARATOR = @PATH_SEPARATOR@
450 PCRE_CFLAGS = @PCRE_CFLAGS@
451 PCRE_CONFIG = @PCRE_CONFIG@
452 PCRE_LIBS = @PCRE_LIBS@
453 PCRE_VERSION = @PCRE_VERSION@
454 PKG_CONFIG = @PKG_CONFIG@
455 POSUB = @POSUB@
456 POW_LIB = @POW_LIB@
457 PYTHON = @PYTHON@
458 RANLIB = @RANLIB@
459 RELOCATABLE = @RELOCATABLE@
460 RT_LIB = @RT_LIB@
461 SAXON = @SAXON@
462 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
463 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
464 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
465 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
466 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
467 SCIRENDERER = @SCIRENDERER@
468 SCIRENDERER_CP = @SCIRENDERER_CP@
469 SCI_CFLAGS = @SCI_CFLAGS@
470 SCI_CXXFLAGS = @SCI_CXXFLAGS@
471 SCI_FFLAGS = @SCI_FFLAGS@
472 SCI_LDFLAGS = @SCI_LDFLAGS@
473 SED = @SED@
474 SET_MAKE = @SET_MAKE@
475 SET_RELOCATABLE = @SET_RELOCATABLE@
476 SHELL = @SHELL@
477 SKINLF = @SKINLF@
478 SPLINT = @SPLINT@
479 STRIP = @STRIP@
480 SWIG_BIN = @SWIG_BIN@
481 SWIG_JAVA = @SWIG_JAVA@
482 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
483 SWIG_SCILAB = @SWIG_SCILAB@
484 TCLTK_LIBS = @TCLTK_LIBS@
485 TCL_INC_PATH = @TCL_INC_PATH@
486 TK_INC_PATH = @TK_INC_PATH@
487 UMFPACK_ENABLE = @UMFPACK_ENABLE@
488 UMFPACK_LIB = @UMFPACK_LIB@
489 USE_NLS = @USE_NLS@
490 VERSION = @VERSION@
491 WITH_OCAML = @WITH_OCAML@
492 WITH_TKSCI = @WITH_TKSCI@
493 XCOS_ENABLE = @XCOS_ENABLE@
494 XGETTEXT = @XGETTEXT@
495 XGETTEXT_015 = @XGETTEXT_015@
496 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
497 XMKMF = @XMKMF@
498 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
499 XML_APIS_EXT = @XML_APIS_EXT@
500 XML_CONFIG = @XML_CONFIG@
501 XML_FLAGS = @XML_FLAGS@
502 XML_LIBS = @XML_LIBS@
503 XML_VERSION = @XML_VERSION@
504 X_CFLAGS = @X_CFLAGS@
505 X_EXTRA_LIBS = @X_EXTRA_LIBS@
506 X_LIBS = @X_LIBS@
507 X_PRE_LIBS = @X_PRE_LIBS@
508 abs_builddir = @abs_builddir@
509 abs_srcdir = @abs_srcdir@
510 abs_top_builddir = @abs_top_builddir@
511 abs_top_srcdir = @abs_top_srcdir@
512 ac_ct_AR = @ac_ct_AR@
513 ac_ct_CC = @ac_ct_CC@
514 ac_ct_CXX = @ac_ct_CXX@
515 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
516 ac_ct_F77 = @ac_ct_F77@
517 am__include = @am__include@
518 am__leading_dot = @am__leading_dot@
519 am__quote = @am__quote@
520 am__tar = @am__tar@
521 am__untar = @am__untar@
522 bindir = @bindir@
523 build = @build@
524 build_alias = @build_alias@
525 build_cpu = @build_cpu@
526 build_os = @build_os@
527 build_vendor = @build_vendor@
528 builddir = @builddir@
529 cxx_present = @cxx_present@
530 datadir = @datadir@
531 datarootdir = @datarootdir@
532 docdir = @docdir@
533 dvidir = @dvidir@
534 exec_prefix = @exec_prefix@
535 host = @host@
536 host_alias = @host_alias@
537 host_cpu = @host_cpu@
538 host_os = @host_os@
539 host_vendor = @host_vendor@
540 htmldir = @htmldir@
541 includedir = @includedir@
542 infodir = @infodir@
543 install_sh = @install_sh@
544 libdir = @libdir@
545 libexecdir = @libexecdir@
546 localedir = @localedir@
547 localstatedir = @localstatedir@
548 mandir = @mandir@
549 mkdir_p = @mkdir_p@
550 oldincludedir = @oldincludedir@
551 pdfdir = @pdfdir@
552 prefix = @prefix@
553 program_transform_name = @program_transform_name@
554 psdir = @psdir@
555 sbindir = @sbindir@
556 sharedstatedir = @sharedstatedir@
557 srcdir = @srcdir@
558 sysconfdir = @sysconfdir@
559 target_alias = @target_alias@
560 top_build_prefix = @top_build_prefix@
561 top_builddir = @top_builddir@
562 top_srcdir = @top_srcdir@
563
564 #### Name of the module and the path ######
565 modulename = graphic_export
566
567 #### graphic_export : Conf files ####
568 libscigraphic_export_la_rootdir = $(mydatadir)
569 libscigraphic_export_la_root_DATA = license.txt
570
571 #### graphic_export : init scripts ####
572 libscigraphic_export_la_etcdir = $(mydatadir)/etc
573 libscigraphic_export_la_etc_DATA = etc/graphic_export.quit etc/graphic_export.start
574
575 # List of the c files
576 GRAPHIC_EXPORT_CXX_SOURCES = src/cpp/exportToFile.cpp \
577 src/jni/FileExporter.cpp \
578 src/jni/Driver.cpp \
579 src/jni/JOGLConstant.cpp
580
581
582 # List of the gateway c files
583 GATEWAY_C_SOURCES = \
584 sci_gateway/c/gw_graphic_export.c \
585 sci_gateway/c/xs2file.c \
586 sci_gateway/c/sci_xs2bmp.c \
587 sci_gateway/c/sci_xs2gif.c \
588 sci_gateway/c/sci_xs2ppm.c \
589 sci_gateway/c/sci_xs2ps.c \
590 sci_gateway/c/sci_xs2svg.c \
591 sci_gateway/c/sci_xs2jpg.c \
592 sci_gateway/c/sci_xs2eps.c \
593 sci_gateway/c/sci_xs2pdf.c \
594 sci_gateway/c/sci_xs2png.c
595
596 GATEWAY_CXX_SOURCES = sci_gateway/cpp/sci_driver.cpp \
597 sci_gateway/cpp/sci_xinit.cpp \
598 sci_gateway/cpp/sci_xend.cpp
599
600
601 # Includes need for the compilation
602 libscigraphic_export_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
603                                 -I$(srcdir)/includes/ \
604                                 -I$(srcdir)/src/cpp/ \
605                                 -I$(srcdir)/src/jni/ \
606                                 -I$(srcdir)/src/c/ \
607                                 -I$(top_srcdir)/modules/api_scilab/includes/ \
608                                 -I$(top_srcdir)/modules/localization/includes/ \
609                                 -I$(top_srcdir)/modules/jvm/includes/ \
610                                 -I$(top_srcdir)/modules/graphics/includes/ \
611                                 -I$(top_srcdir)/modules/renderer/includes/ \
612                                 -I$(top_srcdir)/modules/output_stream/includes/ \
613                                 -I$(top_srcdir)/modules/fileio/includes/ \
614                                 -I$(top_srcdir)/modules/commons/src/jni \
615                                 -I$(top_srcdir)/modules/graphic_objects/includes/ \
616                                 -I$(top_srcdir)/modules/gui/src/jni/ \
617                                 $(AM_CPPFLAGS)
618
619
620 # All the sources needed by libscigraphic_export.la
621 libscigraphic_export_algo_la_SOURCES = $(GRAPHIC_EXPORT_CXX_SOURCES)
622 libscigraphic_export_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
623 libscigraphic_export_algo_la_CPPFLAGS = $(libscigraphic_export_la_CPPFLAGS)
624
625 # For the code check (splint)
626 CHECK_SRC = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
627 INCLUDE_FLAGS = $(libscigraphic_export_la_CPPFLAGS)
628 libscigraphic_export_la_LIBADD = libscigraphic_export-algo.la
629 GIWS_WRAPPERS = src/jni/FileExporter.giws.xml \
630 src/jni/JOGLConstant.giws.xml \
631 src/jni/Driver.giws.xml
632
633 BUILT_SOURCES = $(am__append_1)
634
635 # All the sources needed by libscigraphic_export.la
636 libscigraphic_export_disable_la_SOURCES = src/nographic_export/nographic_export.c
637 libscigraphic_export_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
638         -I$(top_srcdir)/modules/api_scilab/includes/ \
639         -I$(top_srcdir)/modules/localization/includes/ \
640         -I$(top_srcdir)/modules/output_stream/includes/ \
641         $(AM_CPPFLAGS)
642
643
644 # Name of the future library (.la will be replace by .so, .a, etc regarding
645 # the system)
646 pkglib_LTLIBRARIES = libscigraphic_export-disable.la $(am__append_2)
647 @GUI_TRUE@USEANT = 1
648 @GUI_TRUE@noinst_LTLIBRARIES = libscigraphic_export-algo.la
649
650 #### graphic_export : gateway declaration ####
651 libscigraphic_export_la_sci_gatewaydir = $(mydatadir)/sci_gateway
652 libscigraphic_export_la_sci_gateway_DATA = sci_gateway/graphic_export_gateway.xml
653
654 # Where all the Scilab stuff is installed (macros, help, ...)
655 mydatadir = $(pkgdatadir)/modules/$(modulename)
656
657 # Set AM_* SCI detected settings
658 AM_CPPFLAGS = $(SCI_CPPFLAGS)
659 AM_CFLAGS = $(SCI_CFLAGS)
660 AM_CXXFLAGS = $(SCI_CXXFLAGS)
661 # append includes to AM_FFLAGS to manage fortran includes
662 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
663
664 # Tag shared libraries with the Scilab version
665 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
666
667 # splint options
668 SPLINT_OPTIONS = -weak -booltype BOOL
669
670 ########################### JAVA ######################################
671 #### We are delegating java compilation to ant... Thanks to that
672 #### the procedure will be the same with Microsoft Windows (C)
673 #### and Linux/Unix
674 #######################################################################
675 TARGETS_ALL = $(am__append_3)
676
677 ################ MACROS ######################
678 # Rule to build a macro
679 # NOT USED  AT THE MOMENT
680 SUFFIXES = .sci 
681
682 ########### INSTALL DOCUMENTATION ###################
683
684 # Install documentation files into the right target
685 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
686 # automake needs the html files to be present which is not the case when
687 # we are building Scilab
688
689 # Where it should be installed
690 pkgdocdir = $(mydatadir)
691
692 # What is the mask of the help source
693 DOCMASKXML = *.xml
694
695 # What is the mask of the MathML sources
696 DOCMASKMML = *.mml
697
698 ########### INSTALL DATA ###################
699 # Install macros, help & demos
700 # Where it should be installed
701 pkgmacrosdir = $(mydatadir)
702 # Which directory we process
703 MACRODIRS = macros/
704 # Mask of the Scilab sources macros
705 MACROMASK = *.sci
706 # Mask of the Scilab executable sources macros
707 MACROBUILDMASK = *.sce
708 # Mask of the Scilab compiled macros
709 MACROBINMASK = *.bin
710 # List of the standard directory for tests
711 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
712 # Where the demos should be installed
713 pkgdemosdir = $(mydatadir)
714 # List of the standard directory for demos
715 DEMOS_DIR = demos
716 # List of the standard directory for examples
717 EXAMPLES_DIR = examples
718 # Where to export JAVA archives (.jar)
719 JARDIR = jar/
720 # JAR files mask
721 JARMASK = *.jar
722 # Chapter file 
723 HELP_CHAPTERDIR = help/
724 HELP_CHAPTERFILE = addchapter.sce
725 HELP_CHAPTERLANG = en_US fr_FR pt_BR
726 all: $(BUILT_SOURCES)
727         $(MAKE) $(AM_MAKEFLAGS) all-am
728
729 .SUFFIXES:
730 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
731 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
732         @for dep in $?; do \
733           case '$(am__configure_deps)' in \
734             *$$dep*) \
735               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
736                 && { if test -f $@; then exit 0; else break; fi; }; \
737               exit 1;; \
738           esac; \
739         done; \
740         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/graphic_export/Makefile'; \
741         $(am__cd) $(top_srcdir) && \
742           $(AUTOMAKE) --foreign modules/graphic_export/Makefile
743 .PRECIOUS: Makefile
744 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
745         @case '$?' in \
746           *config.status*) \
747             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
748           *) \
749             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
750             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
751         esac;
752 $(top_srcdir)/Makefile.incl.am:
753
754 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
755         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
756
757 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
758         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
759 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
760         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
761 $(am__aclocal_m4_deps):
762
763 clean-noinstLTLIBRARIES:
764         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
765         @list='$(noinst_LTLIBRARIES)'; \
766         locs=`for p in $$list; do echo $$p; done | \
767               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
768               sort -u`; \
769         test -z "$$locs" || { \
770           echo rm -f $${locs}; \
771           rm -f $${locs}; \
772         }
773
774 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
775         @$(NORMAL_INSTALL)
776         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
777         list2=; for p in $$list; do \
778           if test -f $$p; then \
779             list2="$$list2 $$p"; \
780           else :; fi; \
781         done; \
782         test -z "$$list2" || { \
783           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
784           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
785           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
786           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
787         }
788
789 uninstall-pkglibLTLIBRARIES:
790         @$(NORMAL_UNINSTALL)
791         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
792         for p in $$list; do \
793           $(am__strip_dir) \
794           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
795           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
796         done
797
798 clean-pkglibLTLIBRARIES:
799         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
800         @list='$(pkglib_LTLIBRARIES)'; \
801         locs=`for p in $$list; do echo $$p; done | \
802               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
803               sort -u`; \
804         test -z "$$locs" || { \
805           echo rm -f $${locs}; \
806           rm -f $${locs}; \
807         }
808
809 libscigraphic_export-algo.la: $(libscigraphic_export_algo_la_OBJECTS) $(libscigraphic_export_algo_la_DEPENDENCIES) $(EXTRA_libscigraphic_export_algo_la_DEPENDENCIES) 
810         $(AM_V_CXXLD)$(CXXLINK) $(am_libscigraphic_export_algo_la_rpath) $(libscigraphic_export_algo_la_OBJECTS) $(libscigraphic_export_algo_la_LIBADD) $(LIBS)
811
812 libscigraphic_export-disable.la: $(libscigraphic_export_disable_la_OBJECTS) $(libscigraphic_export_disable_la_DEPENDENCIES) $(EXTRA_libscigraphic_export_disable_la_DEPENDENCIES) 
813         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libscigraphic_export_disable_la_OBJECTS) $(libscigraphic_export_disable_la_LIBADD) $(LIBS)
814
815 libscigraphic_export.la: $(libscigraphic_export_la_OBJECTS) $(libscigraphic_export_la_DEPENDENCIES) $(EXTRA_libscigraphic_export_la_DEPENDENCIES) 
816         $(AM_V_CXXLD)$(CXXLINK) $(am_libscigraphic_export_la_rpath) $(libscigraphic_export_la_OBJECTS) $(libscigraphic_export_la_LIBADD) $(LIBS)
817
818 mostlyclean-compile:
819         -rm -f *.$(OBJEXT)
820
821 distclean-compile:
822         -rm -f *.tab.c
823
824 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_algo_la-Driver.Plo@am__quote@
825 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_algo_la-FileExporter.Plo@am__quote@
826 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_algo_la-JOGLConstant.Plo@am__quote@
827 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_algo_la-exportToFile.Plo@am__quote@
828 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_disable_la-nographic_export.Plo@am__quote@
829 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-gw_graphic_export.Plo@am__quote@
830 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-sci_driver.Plo@am__quote@
831 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-sci_xend.Plo@am__quote@
832 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-sci_xinit.Plo@am__quote@
833 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-sci_xs2bmp.Plo@am__quote@
834 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-sci_xs2eps.Plo@am__quote@
835 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-sci_xs2gif.Plo@am__quote@
836 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-sci_xs2jpg.Plo@am__quote@
837 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-sci_xs2pdf.Plo@am__quote@
838 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-sci_xs2png.Plo@am__quote@
839 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-sci_xs2ppm.Plo@am__quote@
840 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-sci_xs2ps.Plo@am__quote@
841 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-sci_xs2svg.Plo@am__quote@
842 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_export_la-xs2file.Plo@am__quote@
843
844 .c.o:
845 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
846 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
847 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
848 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
849 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
850
851 .c.obj:
852 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
853 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
854 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
855 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
856 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
857
858 .c.lo:
859 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
860 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
861 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
862 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
863 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
864
865 libscigraphic_export_disable_la-nographic_export.lo: src/nographic_export/nographic_export.c
866 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscigraphic_export_disable_la-nographic_export.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_disable_la-nographic_export.Tpo -c -o libscigraphic_export_disable_la-nographic_export.lo `test -f 'src/nographic_export/nographic_export.c' || echo '$(srcdir)/'`src/nographic_export/nographic_export.c
867 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_disable_la-nographic_export.Tpo $(DEPDIR)/libscigraphic_export_disable_la-nographic_export.Plo
868 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/nographic_export/nographic_export.c' object='libscigraphic_export_disable_la-nographic_export.lo' libtool=yes @AMDEPBACKSLASH@
869 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
870 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscigraphic_export_disable_la-nographic_export.lo `test -f 'src/nographic_export/nographic_export.c' || echo '$(srcdir)/'`src/nographic_export/nographic_export.c
871
872 libscigraphic_export_la-gw_graphic_export.lo: sci_gateway/c/gw_graphic_export.c
873 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscigraphic_export_la-gw_graphic_export.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-gw_graphic_export.Tpo -c -o libscigraphic_export_la-gw_graphic_export.lo `test -f 'sci_gateway/c/gw_graphic_export.c' || echo '$(srcdir)/'`sci_gateway/c/gw_graphic_export.c
874 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-gw_graphic_export.Tpo $(DEPDIR)/libscigraphic_export_la-gw_graphic_export.Plo
875 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_graphic_export.c' object='libscigraphic_export_la-gw_graphic_export.lo' libtool=yes @AMDEPBACKSLASH@
876 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
877 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscigraphic_export_la-gw_graphic_export.lo `test -f 'sci_gateway/c/gw_graphic_export.c' || echo '$(srcdir)/'`sci_gateway/c/gw_graphic_export.c
878
879 libscigraphic_export_la-xs2file.lo: sci_gateway/c/xs2file.c
880 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscigraphic_export_la-xs2file.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-xs2file.Tpo -c -o libscigraphic_export_la-xs2file.lo `test -f 'sci_gateway/c/xs2file.c' || echo '$(srcdir)/'`sci_gateway/c/xs2file.c
881 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-xs2file.Tpo $(DEPDIR)/libscigraphic_export_la-xs2file.Plo
882 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/xs2file.c' object='libscigraphic_export_la-xs2file.lo' libtool=yes @AMDEPBACKSLASH@
883 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
884 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscigraphic_export_la-xs2file.lo `test -f 'sci_gateway/c/xs2file.c' || echo '$(srcdir)/'`sci_gateway/c/xs2file.c
885
886 libscigraphic_export_la-sci_xs2bmp.lo: sci_gateway/c/sci_xs2bmp.c
887 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscigraphic_export_la-sci_xs2bmp.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-sci_xs2bmp.Tpo -c -o libscigraphic_export_la-sci_xs2bmp.lo `test -f 'sci_gateway/c/sci_xs2bmp.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2bmp.c
888 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-sci_xs2bmp.Tpo $(DEPDIR)/libscigraphic_export_la-sci_xs2bmp.Plo
889 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xs2bmp.c' object='libscigraphic_export_la-sci_xs2bmp.lo' libtool=yes @AMDEPBACKSLASH@
890 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
891 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscigraphic_export_la-sci_xs2bmp.lo `test -f 'sci_gateway/c/sci_xs2bmp.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2bmp.c
892
893 libscigraphic_export_la-sci_xs2gif.lo: sci_gateway/c/sci_xs2gif.c
894 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscigraphic_export_la-sci_xs2gif.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-sci_xs2gif.Tpo -c -o libscigraphic_export_la-sci_xs2gif.lo `test -f 'sci_gateway/c/sci_xs2gif.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2gif.c
895 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-sci_xs2gif.Tpo $(DEPDIR)/libscigraphic_export_la-sci_xs2gif.Plo
896 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xs2gif.c' object='libscigraphic_export_la-sci_xs2gif.lo' libtool=yes @AMDEPBACKSLASH@
897 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
898 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscigraphic_export_la-sci_xs2gif.lo `test -f 'sci_gateway/c/sci_xs2gif.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2gif.c
899
900 libscigraphic_export_la-sci_xs2ppm.lo: sci_gateway/c/sci_xs2ppm.c
901 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscigraphic_export_la-sci_xs2ppm.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-sci_xs2ppm.Tpo -c -o libscigraphic_export_la-sci_xs2ppm.lo `test -f 'sci_gateway/c/sci_xs2ppm.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2ppm.c
902 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-sci_xs2ppm.Tpo $(DEPDIR)/libscigraphic_export_la-sci_xs2ppm.Plo
903 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xs2ppm.c' object='libscigraphic_export_la-sci_xs2ppm.lo' libtool=yes @AMDEPBACKSLASH@
904 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
905 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscigraphic_export_la-sci_xs2ppm.lo `test -f 'sci_gateway/c/sci_xs2ppm.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2ppm.c
906
907 libscigraphic_export_la-sci_xs2ps.lo: sci_gateway/c/sci_xs2ps.c
908 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscigraphic_export_la-sci_xs2ps.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-sci_xs2ps.Tpo -c -o libscigraphic_export_la-sci_xs2ps.lo `test -f 'sci_gateway/c/sci_xs2ps.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2ps.c
909 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-sci_xs2ps.Tpo $(DEPDIR)/libscigraphic_export_la-sci_xs2ps.Plo
910 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xs2ps.c' object='libscigraphic_export_la-sci_xs2ps.lo' libtool=yes @AMDEPBACKSLASH@
911 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
912 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscigraphic_export_la-sci_xs2ps.lo `test -f 'sci_gateway/c/sci_xs2ps.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2ps.c
913
914 libscigraphic_export_la-sci_xs2svg.lo: sci_gateway/c/sci_xs2svg.c
915 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscigraphic_export_la-sci_xs2svg.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-sci_xs2svg.Tpo -c -o libscigraphic_export_la-sci_xs2svg.lo `test -f 'sci_gateway/c/sci_xs2svg.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2svg.c
916 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-sci_xs2svg.Tpo $(DEPDIR)/libscigraphic_export_la-sci_xs2svg.Plo
917 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xs2svg.c' object='libscigraphic_export_la-sci_xs2svg.lo' libtool=yes @AMDEPBACKSLASH@
918 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
919 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscigraphic_export_la-sci_xs2svg.lo `test -f 'sci_gateway/c/sci_xs2svg.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2svg.c
920
921 libscigraphic_export_la-sci_xs2jpg.lo: sci_gateway/c/sci_xs2jpg.c
922 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscigraphic_export_la-sci_xs2jpg.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-sci_xs2jpg.Tpo -c -o libscigraphic_export_la-sci_xs2jpg.lo `test -f 'sci_gateway/c/sci_xs2jpg.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2jpg.c
923 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-sci_xs2jpg.Tpo $(DEPDIR)/libscigraphic_export_la-sci_xs2jpg.Plo
924 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xs2jpg.c' object='libscigraphic_export_la-sci_xs2jpg.lo' libtool=yes @AMDEPBACKSLASH@
925 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
926 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscigraphic_export_la-sci_xs2jpg.lo `test -f 'sci_gateway/c/sci_xs2jpg.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2jpg.c
927
928 libscigraphic_export_la-sci_xs2eps.lo: sci_gateway/c/sci_xs2eps.c
929 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscigraphic_export_la-sci_xs2eps.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-sci_xs2eps.Tpo -c -o libscigraphic_export_la-sci_xs2eps.lo `test -f 'sci_gateway/c/sci_xs2eps.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2eps.c
930 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-sci_xs2eps.Tpo $(DEPDIR)/libscigraphic_export_la-sci_xs2eps.Plo
931 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xs2eps.c' object='libscigraphic_export_la-sci_xs2eps.lo' libtool=yes @AMDEPBACKSLASH@
932 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
933 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscigraphic_export_la-sci_xs2eps.lo `test -f 'sci_gateway/c/sci_xs2eps.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2eps.c
934
935 libscigraphic_export_la-sci_xs2pdf.lo: sci_gateway/c/sci_xs2pdf.c
936 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscigraphic_export_la-sci_xs2pdf.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-sci_xs2pdf.Tpo -c -o libscigraphic_export_la-sci_xs2pdf.lo `test -f 'sci_gateway/c/sci_xs2pdf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2pdf.c
937 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-sci_xs2pdf.Tpo $(DEPDIR)/libscigraphic_export_la-sci_xs2pdf.Plo
938 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xs2pdf.c' object='libscigraphic_export_la-sci_xs2pdf.lo' libtool=yes @AMDEPBACKSLASH@
939 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
940 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscigraphic_export_la-sci_xs2pdf.lo `test -f 'sci_gateway/c/sci_xs2pdf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2pdf.c
941
942 libscigraphic_export_la-sci_xs2png.lo: sci_gateway/c/sci_xs2png.c
943 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscigraphic_export_la-sci_xs2png.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-sci_xs2png.Tpo -c -o libscigraphic_export_la-sci_xs2png.lo `test -f 'sci_gateway/c/sci_xs2png.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2png.c
944 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-sci_xs2png.Tpo $(DEPDIR)/libscigraphic_export_la-sci_xs2png.Plo
945 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xs2png.c' object='libscigraphic_export_la-sci_xs2png.lo' libtool=yes @AMDEPBACKSLASH@
946 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
947 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscigraphic_export_la-sci_xs2png.lo `test -f 'sci_gateway/c/sci_xs2png.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xs2png.c
948
949 .cpp.o:
950 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
951 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
952 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
953 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
954 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
955
956 .cpp.obj:
957 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
958 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
959 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
960 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
961 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
962
963 .cpp.lo:
964 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
965 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
966 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
967 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
968 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
969
970 libscigraphic_export_algo_la-exportToFile.lo: src/cpp/exportToFile.cpp
971 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_export_algo_la-exportToFile.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_algo_la-exportToFile.Tpo -c -o libscigraphic_export_algo_la-exportToFile.lo `test -f 'src/cpp/exportToFile.cpp' || echo '$(srcdir)/'`src/cpp/exportToFile.cpp
972 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_algo_la-exportToFile.Tpo $(DEPDIR)/libscigraphic_export_algo_la-exportToFile.Plo
973 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/exportToFile.cpp' object='libscigraphic_export_algo_la-exportToFile.lo' libtool=yes @AMDEPBACKSLASH@
974 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
975 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_export_algo_la-exportToFile.lo `test -f 'src/cpp/exportToFile.cpp' || echo '$(srcdir)/'`src/cpp/exportToFile.cpp
976
977 libscigraphic_export_algo_la-FileExporter.lo: src/jni/FileExporter.cpp
978 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_export_algo_la-FileExporter.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_algo_la-FileExporter.Tpo -c -o libscigraphic_export_algo_la-FileExporter.lo `test -f 'src/jni/FileExporter.cpp' || echo '$(srcdir)/'`src/jni/FileExporter.cpp
979 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_algo_la-FileExporter.Tpo $(DEPDIR)/libscigraphic_export_algo_la-FileExporter.Plo
980 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/FileExporter.cpp' object='libscigraphic_export_algo_la-FileExporter.lo' libtool=yes @AMDEPBACKSLASH@
981 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
982 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_export_algo_la-FileExporter.lo `test -f 'src/jni/FileExporter.cpp' || echo '$(srcdir)/'`src/jni/FileExporter.cpp
983
984 libscigraphic_export_algo_la-Driver.lo: src/jni/Driver.cpp
985 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_export_algo_la-Driver.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_algo_la-Driver.Tpo -c -o libscigraphic_export_algo_la-Driver.lo `test -f 'src/jni/Driver.cpp' || echo '$(srcdir)/'`src/jni/Driver.cpp
986 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_algo_la-Driver.Tpo $(DEPDIR)/libscigraphic_export_algo_la-Driver.Plo
987 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/Driver.cpp' object='libscigraphic_export_algo_la-Driver.lo' libtool=yes @AMDEPBACKSLASH@
988 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
989 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_export_algo_la-Driver.lo `test -f 'src/jni/Driver.cpp' || echo '$(srcdir)/'`src/jni/Driver.cpp
990
991 libscigraphic_export_algo_la-JOGLConstant.lo: src/jni/JOGLConstant.cpp
992 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_export_algo_la-JOGLConstant.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_algo_la-JOGLConstant.Tpo -c -o libscigraphic_export_algo_la-JOGLConstant.lo `test -f 'src/jni/JOGLConstant.cpp' || echo '$(srcdir)/'`src/jni/JOGLConstant.cpp
993 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_algo_la-JOGLConstant.Tpo $(DEPDIR)/libscigraphic_export_algo_la-JOGLConstant.Plo
994 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/JOGLConstant.cpp' object='libscigraphic_export_algo_la-JOGLConstant.lo' libtool=yes @AMDEPBACKSLASH@
995 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
996 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_export_algo_la-JOGLConstant.lo `test -f 'src/jni/JOGLConstant.cpp' || echo '$(srcdir)/'`src/jni/JOGLConstant.cpp
997
998 libscigraphic_export_la-sci_driver.lo: sci_gateway/cpp/sci_driver.cpp
999 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_export_la-sci_driver.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-sci_driver.Tpo -c -o libscigraphic_export_la-sci_driver.lo `test -f 'sci_gateway/cpp/sci_driver.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_driver.cpp
1000 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-sci_driver.Tpo $(DEPDIR)/libscigraphic_export_la-sci_driver.Plo
1001 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_driver.cpp' object='libscigraphic_export_la-sci_driver.lo' libtool=yes @AMDEPBACKSLASH@
1002 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1003 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_export_la-sci_driver.lo `test -f 'sci_gateway/cpp/sci_driver.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_driver.cpp
1004
1005 libscigraphic_export_la-sci_xinit.lo: sci_gateway/cpp/sci_xinit.cpp
1006 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_export_la-sci_xinit.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-sci_xinit.Tpo -c -o libscigraphic_export_la-sci_xinit.lo `test -f 'sci_gateway/cpp/sci_xinit.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xinit.cpp
1007 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-sci_xinit.Tpo $(DEPDIR)/libscigraphic_export_la-sci_xinit.Plo
1008 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_xinit.cpp' object='libscigraphic_export_la-sci_xinit.lo' libtool=yes @AMDEPBACKSLASH@
1009 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1010 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_export_la-sci_xinit.lo `test -f 'sci_gateway/cpp/sci_xinit.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xinit.cpp
1011
1012 libscigraphic_export_la-sci_xend.lo: sci_gateway/cpp/sci_xend.cpp
1013 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_export_la-sci_xend.lo -MD -MP -MF $(DEPDIR)/libscigraphic_export_la-sci_xend.Tpo -c -o libscigraphic_export_la-sci_xend.lo `test -f 'sci_gateway/cpp/sci_xend.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xend.cpp
1014 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libscigraphic_export_la-sci_xend.Tpo $(DEPDIR)/libscigraphic_export_la-sci_xend.Plo
1015 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_xend.cpp' object='libscigraphic_export_la-sci_xend.lo' libtool=yes @AMDEPBACKSLASH@
1016 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1017 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_export_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_export_la-sci_xend.lo `test -f 'sci_gateway/cpp/sci_xend.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xend.cpp
1018
1019 mostlyclean-libtool:
1020         -rm -f *.lo
1021
1022 clean-libtool:
1023         -rm -rf .libs _libs
1024 install-libscigraphic_export_la_etcDATA: $(libscigraphic_export_la_etc_DATA)
1025         @$(NORMAL_INSTALL)
1026         @list='$(libscigraphic_export_la_etc_DATA)'; test -n "$(libscigraphic_export_la_etcdir)" || list=; \
1027         if test -n "$$list"; then \
1028           echo " $(MKDIR_P) '$(DESTDIR)$(libscigraphic_export_la_etcdir)'"; \
1029           $(MKDIR_P) "$(DESTDIR)$(libscigraphic_export_la_etcdir)" || exit 1; \
1030         fi; \
1031         for p in $$list; do \
1032           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1033           echo "$$d$$p"; \
1034         done | $(am__base_list) | \
1035         while read files; do \
1036           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscigraphic_export_la_etcdir)'"; \
1037           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscigraphic_export_la_etcdir)" || exit $$?; \
1038         done
1039
1040 uninstall-libscigraphic_export_la_etcDATA:
1041         @$(NORMAL_UNINSTALL)
1042         @list='$(libscigraphic_export_la_etc_DATA)'; test -n "$(libscigraphic_export_la_etcdir)" || list=; \
1043         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1044         dir='$(DESTDIR)$(libscigraphic_export_la_etcdir)'; $(am__uninstall_files_from_dir)
1045 install-libscigraphic_export_la_rootDATA: $(libscigraphic_export_la_root_DATA)
1046         @$(NORMAL_INSTALL)
1047         @list='$(libscigraphic_export_la_root_DATA)'; test -n "$(libscigraphic_export_la_rootdir)" || list=; \
1048         if test -n "$$list"; then \
1049           echo " $(MKDIR_P) '$(DESTDIR)$(libscigraphic_export_la_rootdir)'"; \
1050           $(MKDIR_P) "$(DESTDIR)$(libscigraphic_export_la_rootdir)" || exit 1; \
1051         fi; \
1052         for p in $$list; do \
1053           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1054           echo "$$d$$p"; \
1055         done | $(am__base_list) | \
1056         while read files; do \
1057           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscigraphic_export_la_rootdir)'"; \
1058           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscigraphic_export_la_rootdir)" || exit $$?; \
1059         done
1060
1061 uninstall-libscigraphic_export_la_rootDATA:
1062         @$(NORMAL_UNINSTALL)
1063         @list='$(libscigraphic_export_la_root_DATA)'; test -n "$(libscigraphic_export_la_rootdir)" || list=; \
1064         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1065         dir='$(DESTDIR)$(libscigraphic_export_la_rootdir)'; $(am__uninstall_files_from_dir)
1066 install-libscigraphic_export_la_sci_gatewayDATA: $(libscigraphic_export_la_sci_gateway_DATA)
1067         @$(NORMAL_INSTALL)
1068         @list='$(libscigraphic_export_la_sci_gateway_DATA)'; test -n "$(libscigraphic_export_la_sci_gatewaydir)" || list=; \
1069         if test -n "$$list"; then \
1070           echo " $(MKDIR_P) '$(DESTDIR)$(libscigraphic_export_la_sci_gatewaydir)'"; \
1071           $(MKDIR_P) "$(DESTDIR)$(libscigraphic_export_la_sci_gatewaydir)" || exit 1; \
1072         fi; \
1073         for p in $$list; do \
1074           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1075           echo "$$d$$p"; \
1076         done | $(am__base_list) | \
1077         while read files; do \
1078           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscigraphic_export_la_sci_gatewaydir)'"; \
1079           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscigraphic_export_la_sci_gatewaydir)" || exit $$?; \
1080         done
1081
1082 uninstall-libscigraphic_export_la_sci_gatewayDATA:
1083         @$(NORMAL_UNINSTALL)
1084         @list='$(libscigraphic_export_la_sci_gateway_DATA)'; test -n "$(libscigraphic_export_la_sci_gatewaydir)" || list=; \
1085         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1086         dir='$(DESTDIR)$(libscigraphic_export_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1087
1088 ID: $(am__tagged_files)
1089         $(am__define_uniq_tagged_files); mkid -fID $$unique
1090 tags: tags-am
1091 TAGS: tags
1092
1093 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1094         set x; \
1095         here=`pwd`; \
1096         $(am__define_uniq_tagged_files); \
1097         shift; \
1098         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1099           test -n "$$unique" || unique=$$empty_fix; \
1100           if test $$# -gt 0; then \
1101             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1102               "$$@" $$unique; \
1103           else \
1104             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1105               $$unique; \
1106           fi; \
1107         fi
1108 ctags: ctags-am
1109
1110 CTAGS: ctags
1111 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1112         $(am__define_uniq_tagged_files); \
1113         test -z "$(CTAGS_ARGS)$$unique" \
1114           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1115              $$unique
1116
1117 GTAGS:
1118         here=`$(am__cd) $(top_builddir) && pwd` \
1119           && $(am__cd) $(top_srcdir) \
1120           && gtags -i $(GTAGS_ARGS) "$$here"
1121 cscopelist: cscopelist-am
1122
1123 cscopelist-am: $(am__tagged_files)
1124         list='$(am__tagged_files)'; \
1125         case "$(srcdir)" in \
1126           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1127           *) sdir=$(subdir)/$(srcdir) ;; \
1128         esac; \
1129         for i in $$list; do \
1130           if test -f "$$i"; then \
1131             echo "$(subdir)/$$i"; \
1132           else \
1133             echo "$$sdir/$$i"; \
1134           fi; \
1135         done >> $(top_builddir)/cscope.files
1136
1137 distclean-tags:
1138         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1139
1140 distdir: $(DISTFILES)
1141         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1142         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1143         list='$(DISTFILES)'; \
1144           dist_files=`for file in $$list; do echo $$file; done | \
1145           sed -e "s|^$$srcdirstrip/||;t" \
1146               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1147         case $$dist_files in \
1148           */*) $(MKDIR_P) `echo "$$dist_files" | \
1149                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1150                            sort -u` ;; \
1151         esac; \
1152         for file in $$dist_files; do \
1153           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1154           if test -d $$d/$$file; then \
1155             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1156             if test -d "$(distdir)/$$file"; then \
1157               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1158             fi; \
1159             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1160               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1161               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1162             fi; \
1163             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1164           else \
1165             test -f "$(distdir)/$$file" \
1166             || cp -p $$d/$$file "$(distdir)/$$file" \
1167             || exit 1; \
1168           fi; \
1169         done
1170 check-am: all-am
1171         $(MAKE) $(AM_MAKEFLAGS) check-local
1172 check: $(BUILT_SOURCES)
1173         $(MAKE) $(AM_MAKEFLAGS) check-am
1174 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1175 installdirs:
1176         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscigraphic_export_la_etcdir)" "$(DESTDIR)$(libscigraphic_export_la_rootdir)" "$(DESTDIR)$(libscigraphic_export_la_sci_gatewaydir)"; do \
1177           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1178         done
1179 install: $(BUILT_SOURCES)
1180         $(MAKE) $(AM_MAKEFLAGS) install-am
1181 install-exec: install-exec-am
1182 install-data: install-data-am
1183 uninstall: uninstall-am
1184
1185 install-am: all-am
1186         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1187
1188 installcheck: installcheck-am
1189 install-strip:
1190         if test -z '$(STRIP)'; then \
1191           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1192             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1193               install; \
1194         else \
1195           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1196             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1197             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1198         fi
1199 mostlyclean-generic:
1200
1201 clean-generic:
1202
1203 distclean-generic:
1204         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1205         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1206
1207 maintainer-clean-generic:
1208         @echo "This command is intended for maintainers to use"
1209         @echo "it deletes files that may require special tools to rebuild."
1210         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1211 clean: clean-am
1212
1213 clean-am: clean-generic clean-libtool clean-local \
1214         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1215
1216 distclean: distclean-am
1217         -rm -rf ./$(DEPDIR)
1218         -rm -f Makefile
1219 distclean-am: clean-am distclean-compile distclean-generic \
1220         distclean-local distclean-tags
1221
1222 dvi: dvi-am
1223
1224 dvi-am:
1225
1226 html: html-am
1227
1228 html-am:
1229
1230 info: info-am
1231
1232 info-am:
1233
1234 install-data-am: install-data-local \
1235         install-libscigraphic_export_la_etcDATA \
1236         install-libscigraphic_export_la_rootDATA \
1237         install-libscigraphic_export_la_sci_gatewayDATA
1238
1239 install-dvi: install-dvi-am
1240
1241 install-dvi-am:
1242
1243 install-exec-am: install-pkglibLTLIBRARIES
1244
1245 install-html: install-html-am
1246
1247 install-html-am: install-html-local
1248
1249 install-info: install-info-am
1250
1251 install-info-am:
1252
1253 install-man:
1254
1255 install-pdf: install-pdf-am
1256
1257 install-pdf-am:
1258
1259 install-ps: install-ps-am
1260
1261 install-ps-am:
1262
1263 installcheck-am:
1264
1265 maintainer-clean: maintainer-clean-am
1266         -rm -rf ./$(DEPDIR)
1267         -rm -f Makefile
1268 maintainer-clean-am: distclean-am maintainer-clean-generic
1269
1270 mostlyclean: mostlyclean-am
1271
1272 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1273         mostlyclean-libtool
1274
1275 pdf: pdf-am
1276
1277 pdf-am:
1278
1279 ps: ps-am
1280
1281 ps-am:
1282
1283 uninstall-am: uninstall-libscigraphic_export_la_etcDATA \
1284         uninstall-libscigraphic_export_la_rootDATA \
1285         uninstall-libscigraphic_export_la_sci_gatewayDATA \
1286         uninstall-pkglibLTLIBRARIES
1287
1288 .MAKE: all check check-am install install-am install-strip
1289
1290 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1291         check-local clean clean-generic clean-libtool clean-local \
1292         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1293         ctags ctags-am distclean distclean-compile distclean-generic \
1294         distclean-libtool distclean-local distclean-tags distdir dvi \
1295         dvi-am html html-am info info-am install install-am \
1296         install-data install-data-am install-data-local install-dvi \
1297         install-dvi-am install-exec install-exec-am install-html \
1298         install-html-am install-html-local install-info \
1299         install-info-am install-libscigraphic_export_la_etcDATA \
1300         install-libscigraphic_export_la_rootDATA \
1301         install-libscigraphic_export_la_sci_gatewayDATA install-man \
1302         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1303         install-ps install-ps-am install-strip installcheck \
1304         installcheck-am installdirs maintainer-clean \
1305         maintainer-clean-generic mostlyclean mostlyclean-compile \
1306         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1307         tags tags-am uninstall uninstall-am \
1308         uninstall-libscigraphic_export_la_etcDATA \
1309         uninstall-libscigraphic_export_la_rootDATA \
1310         uninstall-libscigraphic_export_la_sci_gatewayDATA \
1311         uninstall-pkglibLTLIBRARIES
1312
1313
1314 # This target enables tests for Scilab
1315 check-local: $(top_builddir)/scilab-bin test
1316         if test -d $(mydatadir)/tests; then \
1317           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1318         fi
1319 check-code:
1320         if test -f build.xml; then \
1321                 $(ANT) checkstyle; \
1322         fi
1323         if test -x "$(SPLINT)"; then \
1324                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1325         fi
1326 @NEED_JAVA_TRUE@java:
1327 # Some configurations needs to export JAVA_HOME in the current env
1328 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1329 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1330 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1331 @NEED_JAVA_TRUE@                $(ANT); \
1332 @NEED_JAVA_TRUE@        fi
1333
1334 @NEED_JAVA_TRUE@clean-java:
1335 # Some configurations needs to export JAVA_HOME in the current env
1336 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1337 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1338 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1339 @NEED_JAVA_TRUE@                $(ANT) clean; \
1340 @NEED_JAVA_TRUE@        fi;
1341
1342 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1343 # We call the target swig-build on the variable SWIG_WRAPPERS
1344
1345 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1346 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1347 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1348 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1349 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1350 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1351 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1352 @SWIG_TRUE@             done; \
1353 @SWIG_TRUE@     fi
1354
1355 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1356 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1357 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1358 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1359 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1360 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1361 @SWIG_TRUE@             done; \
1362 @SWIG_TRUE@     fi
1363
1364 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1365 # We call the target swig-build on the variable SWIG_WRAPPERS
1366
1367 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1368 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1369 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1370 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1371 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1372 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1373 @GIWS_TRUE@             done; \
1374 @GIWS_TRUE@     fi
1375
1376 @GIWS_TRUE@giws-exception:
1377 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1378 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1379 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1380
1381 macros:
1382         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1383                 echo "Error : Cannot build $< : Scilab has not been built"; \
1384         else \
1385                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1386         fi)
1387
1388 # Removes the macros
1389 clean-macros:
1390 # Removes macros (*.bin generated from .sci)
1391         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1392                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1393                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1394         done
1395
1396 test:
1397 # More tests could be added here
1398         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1399         if test -f build.xml -a $$USEANT -eq 1; then \
1400                 $(ANT) test; \
1401         fi
1402
1403 all-local: $(TARGETS_ALL)
1404
1405 .sci.bin:
1406         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1407         echo "Error : Cannot build $< : Scilab has not been build"; \
1408         else \
1409         echo "Creating $@"; \
1410         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1411         fi )
1412
1413 install-html-local:
1414
1415 install-data-local-local:
1416 # Mainly for javasci
1417         @if test -d $(srcdir)/javadoc; then \
1418                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1419         fi
1420 # If the user wants the help sources to be installed
1421 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1422 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1423 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1424 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1425 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1426 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1427 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1428 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1429 @INSTALL_HELP_XML_TRUE@           done ; \
1430 @INSTALL_HELP_XML_TRUE@         fi; \
1431 @INSTALL_HELP_XML_TRUE@  fi; \
1432 @INSTALL_HELP_XML_TRUE@ done; \
1433 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1434 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1435 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1436 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1437 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1438 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1439 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1440 @INSTALL_HELP_XML_TRUE@           done ; \
1441 @INSTALL_HELP_XML_TRUE@         fi; \
1442 @INSTALL_HELP_XML_TRUE@ fi
1443 install-data-local:
1444 # Install the tests
1445         @echo "-------- Install tests (if any) --------"; \
1446         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1447           if test -d $(srcdir)/$$dir/; then \
1448             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1449                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1450                     if test -d "$(srcdir)/$$dir/$$file"; then \
1451                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1452                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1453                     else \
1454                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1455                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1456                     fi \
1457                   done; \
1458           fi; \
1459         done
1460 # Install the help chapter
1461         @echo "-------- Install the help chapter (if any) --------"; \
1462         for lang in $(HELP_CHAPTERLANG); do \
1463                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1464                 if test -f $$HELPFILE; then \
1465                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1466                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1467                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1468                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1469                 fi; \
1470         done
1471 # Install the demos & examples
1472         @echo "-------- Install demos & examples (if any) --------"; \
1473         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1474           if test -d $(srcdir)/$$dir/; then \
1475             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1476                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1477                     if test -d "$(srcdir)/$$dir/$$file"; then \
1478                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1479                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1480                     else \
1481                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1482                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1483                     fi \
1484                   done; \
1485           fi; \
1486         done
1487 # Install the macros
1488         @echo "-------- Install macros (if any) --------"; \
1489         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1490           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1491                 if test -d $(srcdir)/$$dir/; then \
1492                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1493                         if test -n "$(MACROSSPECIALEXT)"; then \
1494                                 specialExtDir=""; \
1495                                 for specialExt in $(MACROSSPECIALEXT); do \
1496                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1497                                 done; \
1498                                 FILELIST="$$FILELIST $$specialExtDir"; \
1499                         fi; \
1500                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1501                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1502                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1503                   done; \
1504                 fi; \
1505         done
1506 # Install java files (.jar)
1507         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1508         echo "-------- Install jar files --------"; \
1509     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1510           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1511                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1512                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1513           done ; \
1514         fi
1515
1516 ########### CLEAN ###################
1517 # Clean help (generated automatically by Scilab)
1518 # It used to clean the macro (clean-macros) but this was causing
1519 # make clean && make to fail Scilab startup
1520 @NEED_JAVA_TRUE@clean-local: clean-java
1521 @NEED_JAVA_FALSE@clean-local:
1522
1523 distclean-local:
1524         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1525
1526 .PHONY: macros java swig giws
1527
1528 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1529 # Otherwise a system limit (for SysV at least) may be exceeded.
1530 .NOEXPORT: